v. 1.1.0 Update Error

When I try to update Repetier-Host to version 1.1.0, it will download the update, but when I click "install and relaunch" it comes up with the error "Failed to change owner & group for wx-config with owner ID 501 and group ID 80". Has anyone else had this problem, and does anyone know what I can do to fix it?

Comments

  • Not sure why some get that error. I never got it.
    Solution should be to download manually and just drag the app into program folder.
  • I had the same issue on two different MBPro's. I ended up just downloading the program as a new install.

  • Since it doe snot happen for me, can you tell what Mac OS version you use and if the user updating had admin privilieges (also I never got the popup to get admin rights). Apperently the updater tries to change some permissions on wx-config and has no permission to do so. But I also do not understand why sparkle wants to do that as it is no file of host. On my os it still has user/group 0 so no change tried.
  • Repetier said:
    Since it doe snot happen for me, can you tell what Mac OS version you use and if the user updating had admin privilieges (also I never got the popup to get admin rights). Apperently the updater tries to change some permissions on wx-config and has no permission to do so. But I also do not understand why sparkle wants to do that as it is no file of host. On my os it still has user/group 0 so no change tried.
    I'm running High Sierra v.10.13.2. Yes, the user I tried to update on has admin privileges. I might try your suggestion and just download the program again manually.
  • I tried downloading it manually and it worked like a charm. Thanks for the help. :)
  • It happens consistently with my MacBook Pro running MacOS Mojave 10.14.2 (18C54) and the proceeding versions of 10.14. This update was not attempted before I upgraded to Mojave.
  • But manual installation did work, right?
  • edited February 21
    I got the notification that update 1.2 was available for mac, and am getting the same error message when trying to use the update feature. I decided to manually update, but only version 1.1 for mac is available for download. Is 1.2 going to be available for download soon?
  • uups. Forget to change it. Will be fixed in an hour, but you can already use http://download.repetier.com/files/host-mac/Repetier-Host-Mac_1_2_0.dmg for direct download.

    In 1.2 I have updated sparkle hoping that will solve the update problems in future.
  • The update error is also happening on my mac system as well and the error has to be fixed. The thing is that the latest version is not getting installed on many of the systems and I have also gone through iTunes error 9 because due to that.
  • 1.2 is the supposed fix to the update problem. At least we hope it. Do not understand what iTunes has to do with that. We do not install using iTunes.
  • edited September 3
    I have the same issue while updating from 1.1.0 to 1.2.0, but when I go to https://www.repetier.com/ to download the version 1.2.0 manually, there is still version 1.1.0 :(
Sign In or Register to comment.